Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IScriptDataSetDesign

All Superinterfaces:
  IBaseDataSetDesign

All Known Implementing Classes:
  ScriptDataSetDesign

    public interface IScriptDataSetDesign

extends IBaseDataSetDesign

Describes the static design of a scripted Data Set. The data set is to be retrieved by user-defined scripts defined in this specialized interface.

Field Summary

Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`NULLS_ORDERING_EXCLUDE_NULLS, NULLS_ORDERING_NULLS_HIGHEST, NULLS_ORDERING_NULLS_LOWEST`

Method Summary
`java.lang.String` | `getCloseScript()` Gets the Close script for closing the data set.
`java.lang.String` | `getDescribeScript()` Gets the Describe script for describing the data set's result columns metadata.
`java.lang.String` | `getFetchScript()` Gets the Fetch script that creates, populates and returns an object of type DataRow.
`java.lang.String` | `getOpenScript()` Gets the Open script for opening the data set.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getCompareLocale, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getNullsOrdering, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setRowFetchLimit`

Method Detail

### getOpenScript

    java.lang.String getOpenScript()

  Gets the Open script for opening the data set.

  Returns:
    The Open script. Null if none is defined.

### getFetchScript

    java.lang.String getFetchScript()

  Gets the Fetch script that creates, populates and returns an object of type DataRow.

  Returns:
    The Fetch script.

### getCloseScript

    java.lang.String getCloseScript()

  Gets the Close script for closing the data set.

  Returns:
    The Close script. Null if none is defined.

### getDescribeScript

    java.lang.String getDescribeScript()

  Gets the Describe script for describing the data set's result columns metadata.

  Returns:
    The Describe script. Null if none is defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.